Bug 1254321 - Concurrent TimeoutException if a HotRod client uses getAll(...) and the owners < numOfNodes
Concurrent TimeoutException if a HotRod client uses getAll(...) and the owner...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.0
Unspecified Unspecified
high Severity unspecified
: CR1
: 6.5.1
Assigned To: Galder Zamarreño
Martin Gencur
:
Depends On:
Blocks: 1259433
  Show dependency treegraph
 
Reported: 2015-08-17 13:20 EDT by wfink
Modified: 2015-11-08 20:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When compatibility mode was enabled in distributed mode and the number of key owners was less than the number of nodes in the cluster, the <methodname>getAll</methodname> operation on the HotRod client performed a local <methodname>getAll</methodname>, which sometimes resulted in not returning all entries. This issue is resolved as of Red Hat JBoss Data Grid 6.5.1.
Story Points: ---
Clone Of:
: 1259433 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5684 Major Resolved ISPN000136 concurrent TimeoutException if a HotRod client uses getAll(...) and the owners < numOfNodes 2017-01-16 03:57 EST

  None (edit)
Description wfink 2015-08-17 13:20:01 EDT
Description of problem:
If a distributed cache configuration contains less owner than current nodes are within the cluster a HotRod client fail if the copatible mode is enabled.
The getAll(...) must include keys of different owners to fail constant.

See https://issues.jboss.org/browse/ISPN-5684 for test class and configuration.

Actual results:
ERROR or inconsisstent return

Expected results:
Correct number of entries
Comment 2 JBoss JIRA Server 2015-08-25 02:01:01 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-5684 to Coding In Progress

Note You need to log in before you can comment on or make changes to this bug.